<main>
  <h2>CEP-Fehlerarchiv</h2>
  <div class="ui-g section">
    <div class="ui-g-12">
      <span class="header-toolbar">
        <p-button icon="pi pi-ban" styleClass="ui-button-secondary" (onClick)="reset()"></p-button>
        <p-button icon="pi pi-replay" (onClick)="updateData()"></p-button>
      </span>
    </div>
    <div class="ui-g-12 ui-lg-4">
      <p-card>
        <h3>Fehler-IDs auswählen</h3>
        <p-listbox
          [options]="idsForSelection" [(ngModel)]="selectedIds"
          (onChange)="updateData()"
          multiple="multiple" checkbox="checkbox" filter="filter"
          [style]="{'width': '100%', 'border': 'none'}" [listStyle]="{'max-height':'12em', 'width': '100%'}">
        </p-listbox>
      </p-card>
    </div>
    <div class="ui-g-12 ui-lg-4">
      <p-card>
        <h3>Confluence Link</h3>
        <p-table [value]="selectedIds" [paginator]="true" [rows]="4">
          <ng-template pTemplate="header">
            <tr>
              <th class="smallrow">Fehler</th>
              <th>Beschreibung</th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-err>
            <tr>
              <td [routerLink]="['/services/mysql', err.id]" style="color:black; text-align: center"><a href="http://52.174.142.121:8090/display/AutExt/ID+{{err.id}}" target="_blank">{{err.label}}</a></td>
              <td [routerLink]="['/services/mysql', err.id]" style="color:black">{{err.beschr}}</td>
            </tr>
          </ng-template>
        </p-table>
      </p-card>
    </div>
    <div class="ui-g-12 ui-lg-4 options">
      <p-card header="Optionen">
        <h3>Optionen</h3>
        <div class="ui-g">
          <div class="input-label ui-g-3">Auswerten ab:</div>
          <div class="ui-g-9">
            <p-calendar
              [(ngModel)]="timespanBegin" 
              [locale]="{
                'firstDayOfWeek': 0,
                'dayNames': ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
                'dayNamesShort': ['Son', 'Mon', 'Die', 'Mit', 'Don', 'Fr', 'Sam'],
                'dayNamesMin': ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
                'monthNames': ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
                'monthNamesShort': ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
                'today': 'Heute',
                'clear': 'Löschen',
                'dateFormat': 'dd.mm.yy'
              }"
              dateFormat = "dd.mm.yy"
              (onSelect)="updateData()"
              [style]="{'width': '100%'}" 
              [inputStyle]="{'width': '100%'}">
            </p-calendar>
          </div>
          <div class="input-label ui-g-3">Auswerten bis:</div>
          <div class="ui-g-9">
            <p-calendar
              [(ngModel)]="timespanEnd" 
              [locale]="{
                'firstDayOfWeek': 0,
                'dayNames': ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
                'dayNamesShort': ['Son', 'Mon', 'Die', 'Mit', 'Don', 'Fr', 'Sam'],
                'dayNamesMin': ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
                'monthNames': ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
                'monthNamesShort': ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
                'today': 'Heute',
                'clear': 'Löschen',
                'dateFormat': 'dd.mm.yy'
              }"
              dateFormat = "dd.mm.yy"
              (onSelect)="updateData()"
              [style]="{'width': '100%'}" 
              [inputStyle]="{'width': '100%'}">
            </p-calendar>
          </div>
        </div>
      </p-card>
    </div>
    <div id="trennung"></div>
    <div class="ui-g-12 ui-lg-6">
      <p-card header="Fehler Häufigkeit">
        <canvas id="canvas-left">{{ mychart1 }}</canvas>
      </p-card>
    </div>
    <div class="ui-g-12 ui-lg-6">
      <p-card header="Noch nicht sicher">
        <canvas id="canvas-rigth">{{ mychart2 }}</canvas>
      </p-card>
    </div>
  </div>
</main>
